<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    tools:context=".ui.fragment.setting.UISizeFragment">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingBottom="25dp">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/point_size_container"
        android:layout_width="0dp"
        android:layout_height="180dp"
        android:layout_marginStart="20dp"
        android:layout_marginTop="14dp"
        android:layout_marginEnd="20dp"
        android:background="@drawable/bg_rounded_rect"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/pint_size_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="19dp"
            android:layout_marginTop="7dp"
            android:text="Action Point Size"
            android:textColor="@color/text_gray"
            android:textSize="15sp"
            android:textStyle="bold"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <SeekBar
            android:id="@+id/point_seekbar"
            style="?android:attr/progressBarStyleHorizontal"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="14dp"
            android:layout_marginEnd="11dp"
            android:layout_marginTop="29dp"
            android:max="100"
            android:maxHeight="5dp"
            android:progress="0"
            app:layout_constraintTop_toBottomOf="@+id/pint_size_title"
            android:progressDrawable="@drawable/seek_bar_color_white"
            android:thumb="@drawable/seekbar_thumb_white" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/ring_with_text_container"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="27dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/point_seekbar">

            <ImageView
                android:id="@+id/ring"
                android:layout_width="33dp"
                android:layout_height="33dp"
                android:src="@drawable/ring_has_bg"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/ring_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="P"
                android:textColor="#FFFFFF"
                android:textSize="19sp"
                android:textStyle="bold"
                app:layout_constraintBottom_toBottomOf="@+id/ring"
                app:layout_constraintEnd_toEndOf="@+id/ring"
                app:layout_constraintStart_toStartOf="@+id/ring"
                app:layout_constraintTop_toTopOf="@+id/ring" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/bar_size_container"
        android:layout_width="0dp"
        android:layout_height="419dp"
        android:layout_marginStart="20dp"
        android:layout_marginTop="22dp"
        android:layout_marginEnd="20dp"
        android:background="@drawable/bg_rounded_rect"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/point_size_container">

        <TextView
            android:id="@+id/bar_size_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="19dp"
            android:layout_marginTop="7dp"
            android:text="Control Bar Size"
            android:textColor="@color/text_gray"
            android:textSize="15sp"
            android:textStyle="bold"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <SeekBar
            android:id="@+id/bar_seekbar"
            style="?android:attr/progressBarStyleHorizontal"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="14dp"
            android:layout_marginEnd="11dp"
            android:layout_marginTop="29dp"
            android:max="100"
            android:maxHeight="5dp"
            android:progress="0"
            app:layout_constraintTop_toBottomOf="@+id/bar_size_title"
            android:progressDrawable="@drawable/seek_bar_color_white"
            android:thumb="@drawable/seekbar_thumb_white" />

        <ImageView
            android:layout_width="37dp"
            android:layout_height="249dp"
            android:id="@+id/control_bar"
            android:src="@mipmap/multi_control_bar"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/bar_seekbar"
            android:layout_marginTop="50dp" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.core.widget.NestedScrollView>